Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13398
Description

A zonal statistics plugin would be great. It would allow to extract raster statistics with a vector layer : mean raster value for each vector
features (polygon, line or point), and also standard deviation, median...

History

#1 - 2010-12-15 08:27 AM - Giovanni Manghi

meanwhile you have zonal statistics trough the GRASS plugin.

#2 - 2010-12-15 08:38 AM - flo -

Replying to [comment:1 lutra]:

meanwhile you have zonal statistics trough the GRASS plugin.

Thank you for your answer, | use also Grass. However, | think it's an "usual" GIS task, and it would be more convenient if it could be directly done in Qgis,
without Grass. Moreover, | think the zonal stat in Grass takes a lot of time to compute statistics (in comparison with Arcgis).

#3 - 2010-12-15 12:45 PM - Borys Jurgiel

Could you please add this idea to http://www.qggis.org/wiki/Python_Plugin_ldeas ?

We set that page over a year ago, so let's start using it! :)

#4 - 2010-12-16 12:06 AM - Marco Hugentobler
There is a zonal statistic function in the analysis library (analysis/vector/qgszonalstatistics.cpp/.h). I've wrote the function and a plugin because GRASS
was too slow for my needs. However, also the function in the analysis lib is still far from optimal performance and follows a 'naive’ approach. That's why |

didn't commit the (GUI) plugin to trunk.

If you are interested in using the plugin, go to http://www.sourcepole.com/2010/12/16/zonal-statistics-plugin-for-qgis and download the source. It is

explained on the page how to recompile.

Regards,
Marco

#5 - 2010-12-16 04:23 AM - Giovanni Manghi
http://www.qgis.org/wiki/Python_Plugin_Ideas
http://www.sourcepole.com/2010/12/16/zonal-statistics-plugin-for-qgis

Hi Marco,
is really that bad? ;)

| would not mind to have even a sub optimal solution in QGIS and then have it upgraded when possible in the future...

#6 - 2010-12-20 01:22 AM - flo -

Thank you for this function. I've tested it and it seems to work fine ! Couldn't it be by default in Qgis ?

#7 - 2011-08-11 05:29 AM - Paolo Cavallini
- Pull Request or Patch supplied set to No

| understand it has been added to Windows build - please add it also to debs

#8 - 2011-08-11 07:07 AM - Giovanni Manghi

- Priority changed from Low to Normal

- Target version changed from Version 2.0.0 to Version 1.7.1
#9 - 2011-08-11 01:51 PM - Jiirgen Fischer

- Status changed from Open to Closed

fixed in commit:880540baac7fcbbf4217556ca8b251d3cee47adb
